Subject: Re: bug#22736: 25.0.91; file-notify calls wrong callbacks

From: Tassilo Horn <[email-masked]>
Date: Sun, 21 Feb 2016 09:02:13 +0100

Michael Albinus <[email-masked]> writes:

Hi Michael,

>>> Tassilo, would you be willing to write an ert test case for the problem?
>>
>> Sure, I'm already working on it. :-)
>
> Thanks for the patch. I have modified it a little bit, the major
> problem was that your (should ...) forms in the two callbacks have no
> effect, because the callbacks run out of the scope of the ert test.

Ups.  I've tested it and got failures where (1) was expected but (1
. "fileX1234") was received which seemed correct. :-)

> I have modified them in order to use the mechanism from
> file-notify--test-event-handler.

Thanks!

Bye,
Tassilo